<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Common Block Annotes</TITLE>
<link href="suif1_78.html" rel=Next>
<link href="suif1_76.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_76.html">previous</A>, <A HREF="suif1_78.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC77" HREF="suif1_toc.html#TOC77">Common Block Annotations</A></H3>
<P>
<A NAME="IDX570"></A>
<A NAME="IDX571"></A>

</P>
<P>
<A NAME="IDX572"></A>
Fortran <CODE>common</CODE> blocks are represented in SUIF by global group
types.  These can be accessed just like any other structures.  In
addition, and the Fortran front-end will create sub-variables to
represent the fields in the <CODE>common</CODE> block, so most of the time
only the sub-variables themselves will be seen.  If you want to know
whether a particular global group represents a <CODE>common</CODE> block,
you can check for the <CODE>k_common_block</CODE> annotation, which is put
only on variables representing <CODE>common</CODE> blocks (the blocks, not
the fields).

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_76.html">previous</A>, <A HREF="suif1_78.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
